﻿Public Class Form1

    Private Sub FillData_Click(sender As System.Object, e As System.EventArgs) Handles FillData.Click
        Dim random As New Random()
        For row As Integer = _flex.Rows.Fixed + _flex.Rows.Frozen To _flex.Rows.Count - 1
            For col As Integer = _flex.Cols.Fixed + _flex.Cols.Frozen To _flex.Cols.Count - 1
                _flex(row, col) = random.[Next](0, Int32.MaxValue)

            Next
        Next

    End Sub

    Private Sub Form1_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load
        _flex.Cols(1).Name = "Pound"
        _flex.Cols(2).Name = "Dollar"
        _flex.Cols(3).Name = "Euro"
        _flex.Cols(4).Name = "Yen/Yuan"
        _flex.Cols(5).Name = "Won"
        _flex.Cols(2).TextAlign = C1.Win.C1FlexGrid.TextAlignEnum.LeftCenter
    End Sub

    Private Sub _flex_OwnerDrawCell(sender As System.Object, e As C1.Win.C1FlexGrid.OwnerDrawCellEventArgs) Handles _flex.OwnerDrawCell
        Select Case _flex.Cols(e.Col).Name
            Case "Pound"
                Try
                    Dim i As Integer = CInt(Me._flex(e.Row, e.Col))
                    e.Text = String.Format("{0:£#,##0}", i)
                Catch
                End Try
                Exit Select

            Case "Dollar"
                Try
                    Dim i As Integer = CInt(Me._flex(e.Row, e.Col))
                    e.Text = String.Format("{0:$#,##0}", i)
                Catch
                End Try
                Exit Select

            Case "Euro"
                Try
                    Dim i As Integer = CInt(Me._flex(e.Row, e.Col))
                    e.Text = String.Format("{0:€#,##0}", i)
                Catch
                End Try
                Exit Select

            Case "Yen/Yuan"
                Try
                    Dim i As Integer = CInt(Me._flex(e.Row, e.Col))
                    e.Text = String.Format("{0:¥#,##0}", i)
                Catch
                End Try
                Exit Select

            Case "Won"
                Try
                    Dim i As Integer = CInt(Me._flex(e.Row, e.Col))
                    e.Text = String.Format("{0:₩#,##0}", i)
                Catch
                End Try
                Exit Select
            Case Else

                Exit Select

        End Select

    End Sub
End Class
